# L-System Engine

> An L-System engine written in C# with turtle-based rendering support.

## Getting Started
If you're on Linux or macOS, make sure you've got a C&sharp; compiler installed (such as `mono`). Then, simply execute `msbuild` in the root of this repository. The output will be saved to `SimpleTurtle/bin/Debug`.

Execute `SimpleTurtle.exe --help` for assistance on how to use it. Alternatively, you can read the help text [here](https://git.starbeamrainbowlabs.com/sbrl/LSystemEngine/src/branch/master/SimpleTurtle/Help.txt).

If you're confused about anything, let me know by either [opening an issue](https://git.starbeamrainbowlabs.com/sbrl/LSystemEngine/issues/new) or sending me an email. My email address can be found on [my website](https://starbeamrainbowlabs.com/).

## Contribute
Pull requests and / or email patches are welcome! Please include a statement saying that you license your code under MPL-2.0 though.

## License
This project is licensed under the _Mozilla Public License 2.0_. A full copy of the license text can be found [here](https://git.starbeamrainbowlabs.com/sbrl/LSystemEngine/src/branch/master/LICENSE), and [tldrlegal have a good summary of the license if you don't like reading dry legal documents :-)](https://tldrlegal.com/license/mozilla-public-license-2.0-(mpl-2\)).

## Useful Links
 - [L-Systems on Wikipedia](https://en.wikipedia.org/wiki/L-system#Example_5:_Sierpinski_triangle)